<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "/opt/nevisproxy/dtd/web-app_2_3.dtd">
<web-app>
    <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
    <context-param>
        <param-name>SectokenVerifierCert</param-name>
        <param-value>/var/opt/keys/trust/proxy-sp-ident-authenticationrealm-signer-trust/truststore.pem</param-value>
    </context-param>
    <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
    <filter>
        <filter-name>AuthenticationService_IDENT-AuthenticationRealm</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::auth::IdentityCreationFilter</filter-class>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>AuthenticationServlet</param-name>
            <param-value>Connector_IDENT-AuthenticationRealm</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>BodyReadSize</param-name>
            <param-value>32768</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>EntryPointID</param-name>
            <param-value>ident.agov-w.azure.adnovum.net</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>InactiveInterval</param-name>
            <param-value>60</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>InterceptionRedirect</param-name>
            <param-value>never</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>LoginRendererServlet</param-name>
            <param-value>LoginRenderer_nevisLogrend</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Realm</param-name>
            <param-value>IDENT-AuthenticationRealm</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>RecheckAuthentication</param-name>
            <param-value>On</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>RenewIdentification</param-name>
            <param-value>true</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>StateKey</param-name>
            <param-value>IDENT-AuthenticationRealm</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>StoreInterceptedRequest</param-name>
            <param-value>false</param-value>
        </init-param>
    </filter>
    <!-- source: pattern://58ece0328f5bf4d78e1a82d2, pattern://58ece0328f5bf4d78e1a82d2#filters -->
    <filter>
        <filter-name>DefaultErrorFilter</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::error::ErrorFilter</filter-class>
        <!-- source: pattern://58ece0328f5bf4d78e1a82d2#filters -->
        <init-param>
            <param-name>CheckAcceptHeader</param-name>
            <param-value>true</param-value>
        </init-param>
        <!-- source: pattern://58ece0328f5bf4d78e1a82d2#filters -->
        <init-param>
            <param-name>PlaceHolders</param-name>
            <param-value>
                TransferIdHolder:TRANSFER_ID
                TimestampHolder:TIMESTAMP
            </param-value>
        </init-param>
        <!-- source: pattern://58ece0328f5bf4d78e1a82d2#filters -->
        <init-param>
            <param-name>StatusCode</param-name>
            <param-value>
                403:NevisLogrendConnector_nevisLogrend:/nevislogrend/webdata/template/403.vm?logrendresourcepath=/nevislogrend:keep-status-code
                404:NevisLogrendConnector_nevisLogrend:/nevislogrend/webdata/template/404.vm?logrendresourcepath=/nevislogrend:keep-status-code
                408:NevisLogrendConnector_nevisLogrend:/nevislogrend/webdata/template/timeout.vm?logrendresourcepath=/nevislogrend:keep-status-code
                500:NevisLogrendConnector_nevisLogrend:/nevislogrend/webdata/template/500.vm?logrendresourcepath=/nevislogrend:keep-status-code
                502:NevisLogrendConnector_nevisLogrend:/nevislogrend/webdata/template/502.vm?logrendresourcepath=/nevislogrend:keep-status-code
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://58ece0328f5bf4d78e1a82d2, pattern://58ece0328f5bf4d78e1a82d2#filters -->
    <filter>
        <filter-name>FallbackErrorFilter</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::error::ErrorFilter</filter-class>
        <!-- source: pattern://58ece0328f5bf4d78e1a82d2#filters -->
        <init-param>
            <param-name>CheckAcceptHeader</param-name>
            <param-value>true</param-value>
        </init-param>
        <!-- source: pattern://58ece0328f5bf4d78e1a82d2#filters -->
        <init-param>
            <param-name>PlaceHolders</param-name>
            <param-value>
                TransferIdHolder:TRANSFER_ID
                TimestampHolder:TIMESTAMP
            </param-value>
        </init-param>
        <!-- source: pattern://58ece0328f5bf4d78e1a82d2#filters -->
        <init-param>
            <param-name>StatusCode</param-name>
            <param-value>
                500:file:/resources/errorPages/500.html:reset-header:reset-status-code
                502:file:/resources/errorPages/502.html:reset-header:reset-status-code
                503:file:/resources/errorPages/500.html:reset-header:reset-status-code
                504:file:/resources/errorPages/500.html:reset-header:reset-status-code
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <filter>
        <filter-name>Qos</filter-name>
        <filter-class>ch:nevis:navajo:apglue:httpd_2_4_x:servlet:ApacheConfigFilter</filter-class>
        <filter-lib>libApache2_4_Servlet.so.1</filter-lib>
        <!-- source: pattern://816a1456192f974b57418ca9 -->
        <init-param>
            <param-name>ServerConfig</param-name>
            <param-value>
                QS_SrvMaxConnClose 85%
                QS_SrvMaxConnPerIP 75 500
                QS_SrvMinDataRate 120 1500 500
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <filter>
        <filter-name>Redirect_Default</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::rewrite::RewriteFilter</filter-class>
        <!-- source: pattern://816a1456192f974b57418ca9 -->
        <init-param>
            <param-name>RequestURI</param-name>
            <param-value>^/$:/process:R</param-value>
        </init-param>
    </filter>
    <!-- source: pattern://36886a1934993d1f69690e1d -->
    <filter>
        <filter-name>ResponseHeader_Base_Security_Response_Headers</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::delegation::HeaderDelegationFilter</filter-class>
        <!-- source: pattern://36886a1934993d1f69690e1d -->
        <init-param>
            <param-name>DelegateToFrontend</param-name>
            <param-value>
                Cross-Origin-Embedder-Policy:require-corp
                Cross-Origin-Opener-Policy:same-origin
                Cross-Origin-Resource-Policy:same-site
                Permissions-Policy:geolocation=(), camera=(), microphone=(), interest-cohort=()
                Referrer-Policy:strict-origin-when-cross-origin
                Strict-Transport-Security:max-age=63072000; includeSubDomains;
                X-Content-Type-Options:nosniff
                X-Frame-Options:DENY
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
    <filter>
        <filter-name>SessionHandler_IDENT-AuthenticationRealm</filter-name>
        <filter-class>ch::nevis::nevisproxy::filter::session::SessionManagementFilter</filter-class>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Cookie.ExtraAttributes</param-name>
            <param-value>SameSite=None</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Cookie.Name</param-name>
            <param-value>Session_IDENT-AuthenticationRealm</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Cookie.Secure</param-name>
            <param-value>true</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Identification</param-name>
            <param-value>COOKIE</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>MaxInactiveInterval</param-name>
            <param-value>600</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>MaxLifetime</param-name>
            <param-value>120</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Servlet</param-name>
            <param-value>LocalSessionStoreServlet</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>UpdateTimeStampMinInterval</param-name>
            <param-value>120</param-value>
        </init-param>
    </filter>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <filter-mapping>
        <filter-name>Redirect_Default</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <!-- source: pattern://58ece0328f5bf4d78e1a82d2, pattern://58ece0328f5bf4d78e1a82d2#filters -->
    <filter-mapping>
        <filter-name>DefaultErrorFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <!-- source: pattern://58ece0328f5bf4d78e1a82d2, pattern://58ece0328f5bf4d78e1a82d2#filters -->
    <filter-mapping>
        <filter-name>FallbackErrorFilter</filter-name>
        <servlet-name>NevisLogrendConnector_nevisLogrend</servlet-name>
    </filter-mapping>
    <!-- source: pattern://36886a1934993d1f69690e1d -->
    <filter-mapping>
        <filter-name>ResponseHeader_Base_Security_Response_Headers</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
    <filter-mapping>
        <filter-name>SessionHandler_IDENT-AuthenticationRealm</filter-name>
        <url-pattern>/process</url-pattern>
    </filter-mapping>
    <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
    <filter-mapping>
        <filter-name>AuthenticationService_IDENT-AuthenticationRealm</filter-name>
        <url-pattern>/process</url-pattern>
    </filter-mapping>
    <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
    <listener>
        <listener-class>ch::nevis::isiweb4::listener::SessionListener</listener-class>
    </listener>
    <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
    <servlet>
        <servlet-name>Connector_IDENT-AuthenticationRealm</servlet-name>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <servlet-class>ch::nevis::isiweb4::servlet::connector::soap::esauth4::Esauth4ConnectorServlet</servlet-class>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.DNSCache.ttl</param-name>
            <param-value>60</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.InetAddress</param-name>
            <param-value>auth:8991</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.KeepAlive.LifeTime</param-name>
            <param-value>30</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.RequestTimeout</param-name>
            <param-value>90000</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.ResourceManager.RetryTimeout</param-name>
            <param-value>0</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.SSLCACertificateFile</param-name>
            <param-value>/var/opt/keys/trust/proxy-sp-ident-authenticationrealm-tls-trust/truststore.pem</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.SSLCheckPeerHostname</param-name>
            <param-value>false</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.SSLClientCertificateFile</param-name>
            <param-value>/var/opt/keys/own/proxy-sp-ident-authenticationrealm-identity/cert.pem</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>Transport.SSLClientKeyFile</param-name>
            <param-value>/var/opt/keys/own/proxy-sp-ident-authenticationrealm-identity/key.pem</param-value>
        </init-param>
    </servlet>
    <!-- source: pattern://6977f8a683f63744bbd56d69 -->
    <servlet>
        <servlet-name>Hosting_Default</servlet-name>
        <!-- source: pattern://6977f8a683f63744bbd56d69 -->
        <servlet-class>ch::nevis::isiweb4::servlet::defaults::DefaultServlet</servlet-class>
    </servlet>
    <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
    <servlet>
        <servlet-name>LocalSessionStoreServlet</servlet-name>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <servlet-class>ch::nevis::nevisproxy::servlet::cache::local::LocalSessionStoreServlet</servlet-class>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>MaxInactiveInterval</param-name>
            <param-value>600</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>MaxLifetime</param-name>
            <param-value>28800</param-value>
        </init-param>
        <!-- source: pattern://3fd09bb6cfbd34874595c263 -->
        <init-param>
            <param-name>MemorySize</param-name>
            <param-value>512000000</param-value>
        </init-param>
    </servlet>
    <!-- source: pattern://8401da6318c6915d689cdfc9 -->
    <servlet>
        <servlet-name>LoginRenderer_nevisLogrend</servlet-name>
        <!-- source: pattern://8401da6318c6915d689cdfc9 -->
        <servlet-class>ch::nevis::isiweb4::servlet::rendering::LoginRendererServlet</servlet-class>
        <!-- source: pattern://8401da6318c6915d689cdfc9 -->
        <init-param>
            <param-name>PropagateRemoteHeaders</param-name>
            <param-value>Set-Cookie</param-value>
        </init-param>
        <!-- source: pattern://8401da6318c6915d689cdfc9 -->
        <init-param>
            <param-name>RenderingProvider</param-name>
            <param-value>remote:NevisLogrendConnector_nevisLogrend:/nevislogrend/index.vm?logrendresourcepath=/nevislogrend</param-value>
        </init-param>
    </servlet>
    <!-- source: pattern://8401da6318c6915d689cdfc9 -->
    <servlet>
        <servlet-name>NevisLogrendConnector_nevisLogrend</servlet-name>
        <!-- source: pattern://8401da6318c6915d689cdfc9 -->
        <servlet-class>ch::nevis::isiweb4::servlet::connector::http::HttpConnectorServlet</servlet-class>
        <!-- source: pattern://8401da6318c6915d689cdfc9 -->
        <init-param>
            <param-name>InetAddress</param-name>
            <param-value>logrend:8988</param-value>
        </init-param>
        <!-- source: pattern://8401da6318c6915d689cdfc9 -->
        <init-param>
            <param-name>MappingType</param-name>
            <param-value>pathinfo</param-value>
        </init-param>
        <!-- source: pattern://8401da6318c6915d689cdfc9 -->
        <init-param>
            <param-name>ResourceManager.RetryTimeout</param-name>
            <param-value>0</param-value>
        </init-param>
        <!-- source: pattern://8401da6318c6915d689cdfc9 -->
        <init-param>
            <param-name>URIPrefix</param-name>
            <param-value>/nevislogrend</param-value>
        </init-param>
    </servlet>
    <!-- source: pattern://8401da6318c6915d689cdfc9 -->
    <servlet-mapping>
        <servlet-name>NevisLogrendConnector_nevisLogrend</servlet-name>
        <url-pattern>/nevislogrend/*</url-pattern>
    </servlet-mapping>
    <!-- source: pattern://6977f8a683f63744bbd56d69 -->
    <servlet-mapping>
        <servlet-name>Hosting_Default</servlet-name>
        <url-pattern>/process</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>Hosting_Default</servlet-name>
        <url-pattern>/*</url-pattern>
    </servlet-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>txt</extension>
        <mime-type>text/plain</mime-type>
    </mime-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>css</extension>
        <mime-type>text/css</mime-type>
    </mime-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>ico</extension>
        <mime-type>image/x-icon</mime-type>
    </mime-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>svg</extension>
        <mime-type>image/svg+xml</mime-type>
    </mime-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>ttf</extension>
        <mime-type>application/x-font-ttf</mime-type>
    </mime-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>png</extension>
        <mime-type>image/png</mime-type>
    </mime-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>js</extension>
        <mime-type>application/javascript</mime-type>
    </mime-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>html</extension>
        <mime-type>text/html</mime-type>
    </mime-mapping>
    <!-- source: pattern://816a1456192f974b57418ca9 -->
    <mime-mapping>
        <extension>woff2</extension>
        <mime-type>application/font-woff2</mime-type>
    </mime-mapping>
</web-app>
